#!/usr/bin/make -f

export PYBUILD_NAME=asgi-lifespan
export PYBUILD_TEST_ARGS=-c /dev/null --asyncio-mode=strict -p no:cacheprovider -m "not trio" -k "not test_lifespan_state_async_cm"

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/asgi_lifespan.egg-info/
